%global  base_name print-manager

Name:    kde-print-manager
Summary: Printer management for KDE
Version: 23.08.4
Release:    1%{?dist}

License: GPLv2+ and LGPLv2+
URL:     https://invent.kde.org/utilities/%{base_name}

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/release-service/%{version}/src/%{base_name}-%{version}.tar.xz


BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: extra-cmake-modules
BuildRequires: kf5-rpm-macros
BuildRequires: kf5-kconfig-devel
BuildRequires: kf5-kconfigwidgets-devel
BuildRequires: kf5-kcoreaddons-devel
BuildRequires: kf5-kdbusaddons-devel
BuildRequires: kf5-kiconthemes-devel
BuildRequires: kf5-kcmutils-devel
BuildRequires: kf5-kio-devel
BuildRequires: kf5-knotifications-devel
BuildRequires: kf5-plasma-devel
BuildRequires: kf5-kwidgetsaddons-devel
BuildRequires: kf5-kwindowsystem-devel
BuildRequires: kf5-kitemviews-devel
BuildRequires: kf5-ki18n-devel

BuildRequires: qt5-qtbase-devel
BuildRequires: qt5-qtdeclarative-devel
BuildRequires: qt5-qttools-devel

BuildRequires: cups-devel >= 1.5.0
BuildRequires: samba-client

Conflicts: kde-l10n < 17.03

Requires: plasma-workspace

Requires: %{name}-libs = %{version}-%{release}
Requires: cups
Requires: system-config-printer-libs
Recommends: samba-client

%description
Printer management for KDE.

%package  libs
Summary:  Runtime files for %{name}
Requires: %{name} = %{version}-%{release}
%description libs
%{summary}.


%prep
%autosetup -p1 -n %{base_name}-%{version}


%build
%cmake_kf5

%cmake_build


%install
%cmake_install

%find_lang %{name} --all-name --with-html


%check
desktop-file-validate %{buildroot}%{_kf5_datadir}/applications/org.kde.kde-add-printer.desktop
desktop-file-validate %{buildroot}%{_kf5_datadir}/applications/org.kde.ConfigurePrinter.desktop
desktop-file-validate %{buildroot}%{_kf5_datadir}/applications/org.kde.PrintQueue.desktop


%files -f %{name}.lang
%license LICENSES/*
%{_bindir}/kde-add-printer
%{_bindir}/kde-print-queue
%{_bindir}/configure-printer
%{_kf5_qmldir}/org/kde/plasma/printmanager/
%{_kf5_datadir}/plasma/plasmoids/org.kde.plasma.printmanager/
%{_kf5_datadir}/knotifications5/printmanager.notifyrc
%{_kf5_datadir}/applications/kcm_printer_manager.desktop
%{_kf5_datadir}/applications/org.kde.kde-add-printer.desktop
%{_kf5_datadir}/applications/org.kde.ConfigurePrinter.desktop
%{_kf5_datadir}/applications/org.kde.PrintQueue.desktop
%{_kf5_metainfodir}/org.kde.plasma.printmanager.appdata.xml
%{_kf5_metainfodir}/org.kde.print-manager.metainfo.xml
%{_qt5_plugindir}/plasma/kcms/systemsettings_qwidgets/kcm_printer_manager.so


%files libs
%{_libdir}/libkcupslib.so
%{_kf5_qtplugindir}/kf5/kded/printmanager.so


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 23.08.4-1
- initial build
